<?php 

// +------------------------------------------------------------------+
// | Class Definition                                                 |
// +------------------------------------------------------------------+

class KHXC_SkinFunc extends KHXC_Display {

// +--
// | This file holds functions used by the main skin file.  It's 
// | purpose is to ensure the main skin file is as free of PHP
// | code as possible to make editing easier on end users.
// +--

// +------------------------------------------------------------------+
// | Class Variables                                                  |
// +------------------------------------------------------------------+

var $class   = 'KHXC_SkinFunc';
var $version = '1.0.0';
var $cerror;

// +------------------------------------------------------------------+
// | Constructor Function                                             |
// +------------------------------------------------------------------+

function KHXC_SkinFunc () {

// +--
// | This is the constructor function.  This function starts up the
// | class.  Any pre-load variable assignments go here.
// +--

// +--
// | Return $this.
// +--

return;

} // End of function.

// +------------------------------------------------------------------+
// | Function: startup                                                |
// +------------------------------------------------------------------+

function startup () {

// +--
// | This function loads variables for use within the skin.
// +--

$x = array();

// +--
// | General variables.
// +--

$x['eol']            = $this->globals('khxc.eol');
$x['app_id']         = $this->globals('khxc.app');
$x['ns_id']          = $this->globals('khxc.namespace');
$x['ns_name']        = $this->globals('khxc.namespace.name');
$x['disp_baseurl']   = $this->globals('khxc_display.base_url');
$x['disp_year']      = $this->xhtml_encode($this->globals('khxc_datetime.year'));
$x['disp_date']      = $this->xhtml_encode($this->globals('khxc_datetime.full'));

$x['site_name']      = $this->globals('khxc_settings.' . $x['app_id'] . '.site_name');

// +--
// | HREFs: These are account independent:
// +--

$x['link_contact']  = $this->link_namespace($x['app_id'],'contact',array());
$x['link_home']     = $this->link_namespace($x['app_id'],'display',array('ref' => 'splash'));
$x['link_cart']     = $this->link_namespace($x['app_id'],'viewcart',array());
$x['link_checkout'] = $this->link_namespace($x['app_id'],'checkout',array());

// +--
// | HREFs: This one is account dependent:
// +--

if ($this->globals('khxc_user.id')) {

     $x['link_account'] = $this->link_namespace($x['app_id'],'accountover',array());

} else {

     $x['link_account'] = $this->link_namespace($x['app_id'],'login',array());

} // End of if statement.

// +--
// | Meta tag and title variables.
// +--

$x['metatitle']    = $this->globals('khxc_display.metatitle');
$x['metakeywords'] = $this->globals('khxc_display.metakeywords');
$x['metadesc']     = $this->globals('khxc_display.metadesc');
$x['disp_title']   = $this->xhtml_encode($x['ns_name']);
$x['disp_title']   = preg_replace('/ \- Process$/','',$x['disp_title']);

// +--
// | Strip XHTML tags from the meta information.
// +--

$x['metatitle']    = $this->xhtml_encode(strip_tags($x['metatitle']));
$x['metakeywords'] = $this->xhtml_encode(strip_tags($x['metakeywords']));
$x['metadesc']     = $this->xhtml_encode(strip_tags($x['metadesc']));

if ($this->globals('khxc.ref_disp')) {

     $x['disp_title'] = $this->xhtml_encode($this->globals('khxc.ref_disp'));

} // End of if statement.

// +--
// | Return our variable array.
// +--

return $x;

} // End of function.

// +------------------------------------------------------------------+
// | Function: namespace                                              |
// +------------------------------------------------------------------+

function namespace ($app = '', $namespace = '', $params = '') {

// +--
// | This function loads a requested namespace.
// +--

// +--
// | Runs a namespace include via the KHXC_Display include_namespace()
// | method.
// +--

$this->include_namespace($app,$namespace,$params,0);

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: debug                                                  |
// +------------------------------------------------------------------+

function debug () {

// +--
// | This function prints closure and debug info.  It handle including 
// | the debug and closure divs.
// +--

if ($this->debug == 2) {$this->include_file('khxc','debug.php');}

$this->include_file('khxc','closure.php');

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: bodytag                                                |
// +------------------------------------------------------------------+

function bodytag () {

// +--
// | This function prints the body tag.
// +--

$eol            = $this->globals('khxc.eol');
$load_lightbox  = $this->globals('khxc.load_lightbox');

if (!(empty($load_lightbox))) {

     print '<body onload="initLightbox();">' . $eol;

} else {

     print '<body>' . $eol;

} // End of if statement.

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: titletag                                               |
// +------------------------------------------------------------------+

function titletag ($title = '') {

// +--
// | This function prints the title tag.
// +--

$eol            = $this->globals('khxc.eol');
$suppress_title = $this->globals('khxc_display.suppress_title');
$ns             = $this->globals('khxc.namespace');
$ref            = $this->globals('khxc.ref');

if ((empty($suppress_title)) && (!(empty($title)))) {

     print '     <div id="skin_pgtitle">' . $eol;
     print '     <p class="inline">' . $title . '</p>' . $eol;
     print '     </div>' . $eol . $eol;

} // End of if statement.

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: lightbox                                               |
// +------------------------------------------------------------------+

function lightbox () {

// +--
// | This function prints the lightbox code.
// +--

$eol            = $this->globals('khxc.eol');
$load_lightbox  = $this->globals('khxc.load_lightbox');

if (!(empty($load_lightbox))) {

     print '<link rel="stylesheet" type="text/css" media="all" href="media/lightbox/css/lightbox.css" />' . $eol;
     print '<script type="text/javascript" src="media/lightbox/js/prototype.js"></script>' . $eol;
     print '<script type="text/javascript" src="media/lightbox/js/scriptaculous.js?load=effects"></script>' . $eol;
     print '<script type="text/javascript" src="media/lightbox/js/lightbox.js"></script>' . $eol;

} // End of if statement.

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: content                                                |
// +------------------------------------------------------------------+

function content () {

// +--
// | This function prints the content placeholder.
// +--

print '<khxc:content />';

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: printaddphone                                          |
// +------------------------------------------------------------------+

function printaddphone () {

// +--
// | This function prints the application owner's address and 
// | phone/fax numbers.
// +--

$app        = $this->globals('khxc.app');
$eol        = $this->globals('khxc.eol');

$phone      = $this->xhtml_encode($this->globals('khxc_settings.' . $app . '.siteownerphone'));
$fax        = $this->xhtml_encode($this->globals('khxc_settings.' . $app . '.siteownerfax'));

$address    = array('addone'     => $this->globals('khxc_settings.' . $app . '.siteowneradd'),
                    'addtwo'     => '',
                    'city'       => $this->globals('khxc_settings.' . $app . '.siteownercity'),
                    'stateprov'  => $this->globals('khxc_settings.' . $app . '.siteownerstateprov'),
                    'country'    => $this->globals('khxc_settings.' . $app . '.siteownercountry'),
                    'postalcode' => $this->globals('khxc_settings.' . $app . '.siteownerzip'));

$address    = $this->include_namespace($app,'getaddress',array('address' => $address, 'format' => 'TEXTNOBR'));

if ((!($this->IsError($address))) && (!(empty($address)))) {

     $address    = $this->xhtml_encode($address);

     print '<p>' . $address . '</p>' . $eol . $eol;
     print '<p>Telephone: ' . $phone . '&nbsp;&nbsp;&nbsp;&nbsp;';
     print 'Fax: ' . $fax . '</p>' . $eol . $eol;

} // End of if statement.

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | Function: robotstag                                              |
// +------------------------------------------------------------------+

function robotstag () {

// +--
// | This function prints the robots tag.  Follow/Index tags are
// | printed only when pages were not requested with SID in the URL.
// +--

$eol      = $this->globals('khxc.eol');
$cgi_sid  = $this->globals('khxc_cgi.sid');

if (!(empty($cgi_sid))) {

     print '<meta name="robots" content="noindex,follow" />' . $eol;

} else {

     print '<meta name="robots" content="index,follow" />' . $eol;

} // End of if statement.

// +--
// | Return true.
// +--

return 1;

} // End of function.

// +------------------------------------------------------------------+
// | End of Class                                                     |
// +------------------------------------------------------------------+

} // End of class.

// +------------------------------------------------------------------+
// | End Of File                                                      |
// +------------------------------------------------------------------+

?>